org.richfaces.renderkit

## Enum RenderKitUtils.ScriptHashVariableWrapper

- java.lang.Object
- - java.lang.Enum<RenderKitUtils.ScriptHashVariableWrapper>
  - - org.richfaces.renderkit.RenderKitUtils.ScriptHashVariableWrapper

- All Implemented Interfaces:
    Serializable, Comparable<RenderKitUtils.ScriptHashVariableWrapper>
  Enclosing class:
    RenderKitUtils

      public static enum RenderKitUtils.ScriptHashVariableWrapper
      extends Enum<RenderKitUtils.ScriptHashVariableWrapper>

  Wrapper class around object value used to transform values into particular JS objects
  Since:
    3.3.2
  Author:
    Nick Belaevski

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `asArray` Convert parameter to array of srings.
    `eventHandler` Event handler functions wrapper.
    `noop` No-op default wrapper

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RenderKitUtils.ScriptHashVariableWrapper` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RenderKitUtils.ScriptHashVariableWrapper[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### noop

          public static final RenderKitUtils.ScriptHashVariableWrapper noop

      No-op default wrapper

    - #### asArray

          public static final RenderKitUtils.ScriptHashVariableWrapper asArray

      Convert parameter to array of srings.

    - #### eventHandler

          public static final RenderKitUtils.ScriptHashVariableWrapper eventHandler

      Event handler functions wrapper. Wraps

           functionCode

      object into:

           function(event) {
             functionCode
           }

  - ### Method Detail

    - #### values

          public static RenderKitUtils.ScriptHashVariableWrapper[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RenderKitUtils.ScriptHashVariableWrapper c : RenderKitUtils.ScriptHashVariableWrapper.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RenderKitUtils.ScriptHashVariableWrapper valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.